<?php
// PointX 2.0.4 - Information (infusion.php)
$locale['pointx_info_00_000'] = "PointX";
$locale['pointx_info_00_001'] = "Advanced scoring system for PHP-Fusion";
$locale['pointx_info_00_002'] = "PointX";
$locale['pointx_info_00_003'] = "Points";
$locale['pointx_info_00_004'] = "Shoutbox";
$locale['pointx_info_00_005'] = "Comments";
$locale['pointx_info_00_006'] = "Forum";

// PointX 2.0.4 - User Page (pointx.php)
$locale['pointx_page_00_000'] = "Points";
$locale['pointx_page_00_001'] = " - ";
$locale['pointx_page_00_002'] = "Index";
$locale['pointx_page_00_003'] = "Transfer";
// Index
$locale['pointx_page_01_000'] = "No items for which points are awarded.";
$locale['pointx_page_01_001'] = "Points are awarded for:";
// Transfer
$locale['pointx_page_02_000'] = "User Name:";
$locale['pointx_page_02_001'] = "Number of Points:";
$locale['pointx_page_02_002'] = "Transfer";
$locale['pointx_page_02_003'] = "Comment:<br /><span style='font-size:10px;'>Max. 255 characters.</span>";
$locale['pointx_page_02_004'] = "From";
$locale['pointx_page_02_005'] = "Comment";
$locale['pointx_page_02_006'] = "Points";
$locale['pointx_page_02_007'] = "There are no transfers to your account.";
$locale['pointx_page_02_008'] = "Date of Dispatch";
$locale['pointx_page_02_009'] = "User does not leave a comment";
// Messages and Errors
$locale['pointx_page_03_000'] = "Points were transferred!";
$locale['pointx_page_03_001'] = "Occurred Error! The field \"Number of Points\" contains an invalid value";
$locale['pointx_page_03_002'] = "Occurred Error! The specified user does not exist";
$locale['pointx_page_03_003'] = "Occurred Error! You do not have enough points";

// PointX 2.0.4 - Admin Panel (pointx_admin.php)
$locale['pointx_admin_00_000'] = "PointX";
$locale['pointx_admin_00_001'] = " - ";
$locale['pointx_admin_00_002'] = "List of PointXers";
$locale['pointx_admin_00_003'] = "Settings";
$locale['pointx_admin_00_004'] = "Create PointXer";
$locale['pointx_admin_00_005'] = "Edit PointXer \"%s\"";
$locale['pointx_admin_00_006'] = "Delete PointXer";
$locale['pointx_admin_00_007'] = "Higher Settings";
$locale['pointx_admin_00_008'] = "Preview Message";
$locale['pointx_admin_00_009'] = "Points Management";
$locale['pointx_admin_00_010'] = "Event Log";
$locale['pointx_admin_00_011'] = "Update 1.x.x to ";
$locale['pointx_admin_00_012'] = "Install PointXer";
$locale['pointx_admin_00_013'] = "Update";
// Messages and Errors
$locale['pointx_admin_01_000'] = "PointXer Added!";
$locale['pointx_admin_01_001'] = "Field \"Name\" can not be empty!";
$locale['pointx_admin_01_002'] = "Field \"Points\" contains an invalid value!";
$locale['pointx_admin_01_003'] = "There is already PointXer with that name!";
$locale['pointx_admin_01_004'] = "PointXer Updated!";
$locale['pointx_admin_01_005'] = "The specified PointXer does not exist!";
$locale['pointx_admin_01_006'] = "PointXer Deleted!";
$locale['pointx_admin_01_007'] = "Occurred Error! PointXer not Deleted";
$locale['pointx_admin_01_008'] = "Settings Updated!";
$locale['pointx_admin_01_009'] = "Occurred Error! Settings not Updated";
$locale['pointx_admin_01_010'] = "Points Updated!";
$locale['pointx_admin_01_011'] = "Field \"Number of Points\" contains an invalid value!";
$locale['pointx_admin_01_012'] = "The result does not match the current settings!";
$locale['pointx_admin_01_013'] = "The specified user does not exist!";
$locale['pointx_admin_01_014'] = "Not defined action!";
$locale['pointx_admin_01_015'] = "The specified log entry does not exist!"; 
$locale['pointx_admin_01_016'] = "Logging is disabled!"; 
$locale['pointx_admin_01_017'] = "Logging is enabled!"; 
$locale['pointx_admin_01_018'] = "Event Log cleared!";
$locale['pointx_admin_01_019'] = "Counting points is disabled!";
$locale['pointx_admin_01_020'] = "Occurred Error! Counting points is not disabled";
$locale['pointx_admin_01_021'] = "Counting points is enabled!";
$locale['pointx_admin_01_022'] = "Occurred Error! Counting points is not enabled";
$locale['pointx_admin_01_023'] = "Occurred Error! Specified forum do not exist";
$locale['pointx_admin_01_024'] = "Occurred Error! Unable to perform an action";
$locale['pointx_admin_01_025'] = "Occurred Error! Forum name field has an invalid value";
$locale['pointx_admin_01_026'] = "PointXer has been installed!";
$locale['pointx_admin_01_027'] = "Occurred Error! PointXer has not been installed";
$locale['pointx_admin_01_028'] = "Occurred Error! PointXer Code has an invalid length";
$locale['pointx_admin_01_029'] = "Occurred Error! Unable to get the code";
$locale['pointx_admin_01_030'] = "Occurred Error! Unable to get the name";
$locale['pointx_admin_01_031'] = "Occurred Error! Number of Points field has an invalid value";
// Add PointXer
$locale['pointx_admin_02_000'] = "None PointXers!";
$locale['pointx_admin_02_001'] = "Name:";
$locale['pointx_admin_02_002'] = "Points:";
$locale['pointx_admin_02_003'] = "Add";
// List of PointXers
$locale['pointx_admin_03_000'] = "Name";
$locale['pointx_admin_03_001'] = "Code";
$locale['pointx_admin_03_002'] = "Points";
$locale['pointx_admin_03_003'] = "Options";
$locale['pointx_admin_03_004'] = "Edit";
$locale['pointx_admin_03_005'] = "Delete";
// Edit PointXer
$locale['pointx_admin_04_000'] = "Name:";
$locale['pointx_admin_04_001'] = "Points:";
$locale['pointx_admin_04_002'] = "Code:";
$locale['pointx_admin_04_003'] = "Save";
// Delete PointXer
$locale['pointx_admin_05_000'] = "Are you sure you want to delete this PointXer?";
$locale['pointx_admin_05_001'] = "<span style='color:#FF0000'>Note!</span> Remember to remove the code of PointXera from the file.";
$locale['pointx_admin_05_002'] = "Yes";
$locale['pointx_admin_05_003'] = "No";
// Settings
$locale['pointx_admin_06_000'] = "Yes";
$locale['pointx_admin_06_001'] = "No";
$locale['pointx_admin_06_002'] = "Save";
$locale['pointx_admin_06_003'] = "Enable \"PointX\"?";
$locale['pointx_admin_06_004'] = "Enable negative points?";
$locale['pointx_admin_06_005'] = "Enable \"Major &amp; Minor\"?<br /><span class='small2'>Fractional points. Example: 10.05</span>";
$locale['pointx_admin_06_006'] = "Enable \"Ranking Points\"?<br /><span class='small2'>If enabled, the number of posts in the \"Forum Ranks\" is the number of points.</span>";
$locale['pointx_admin_06_007'] = "Group for which the points are enabled?<br /><span class='small2' style='color:#FF0000;'>Function Unavailable!</span>";
$locale['pointx_admin_06_008'] = "The maximum number of points:";
$locale['pointx_admin_06_009'] = "The minimum number of points:<br /><span class='small'>The maximum value of the negative</span>";
$locale['pointx_admin_06_010'] = "Action at minimum or negative value:<br /><span class='small2'>If a negative value is disabled the action will be made at a value below 0.</span>";
$locale['pointx_admin_06_011'] = "No Action (Reset)";
$locale['pointx_admin_06_012'] = "Blocking Account";
$locale['pointx_admin_06_013'] = "System Settings";
$locale['pointx_admin_06_014'] = "Members Page Settings";
$locale['pointx_admin_06_015'] = "Allow transfers between users?";
$locale['pointx_admin_06_016'] = "Enable list of PointXers?";
$locale['pointx_admin_06_017'] = "Information Message:";
$locale['pointx_admin_06_018'] = "Preview";
$locale['pointx_admin_06_019'] = "Allow transfers below zero points?<br /><span class='small2'>Recommended Value: No<br />If \"Yes\" user will be able to transfer points, even if their value is below 0.</span>";
$locale['pointx_admin_06_020'] = "Settings \"Function Values\"";
$locale['pointx_admin_06_021'] = "Update Type:<br /><span class='small2'><strong>Instant</strong> - The data is updated on a regular basis. Not recommended for large number of users.<br /><strong>Optimal</strong> - Data is updated only when the user's activity.</span>";
$locale['pointx_admin_06_022'] = "Instant";
$locale['pointx_admin_06_023'] = "Optimal";
$locale['pointx_admin_06_024'] = "Update Data";
$locale['pointx_admin_06_025'] = "Additional Options";
$locale['pointx_admin_06_026'] = "Enable display of the number of posts on the forum?";
$locale['pointx_admin_06_027'] = "Enable User Field \"Number of Points\"?";
$locale['pointx_admin_06_028'] = "Enable Panel \"Top Users\"?";
$locale['pointx_admin_06_029'] = "Enable";
$locale['pointx_admin_06_030'] = "Disable";
$locale['pointx_admin_06_031'] = "Right";
$locale['pointx_admin_06_032'] = "Left";
$locale['pointx_admin_06_033'] = "Enable Event Log?";
$locale['pointx_admin_06_034'] = "Clear";
$locale['pointx_admin_06_035'] = "Show Admins in \"Top Users\"?";
$locale['pointx_admin_06_036'] = "Amount of stored logs of transfers:<br /><span style='font-size:10px;'>For a single user</span>";
$locale['pointx_admin_06_037'] = "Enable the system update?";
$locale['pointx_admin_06_038'] = "Update Notification";
// Higher Settings
$locale['pointx_admin_07_000'] = "Execute";
$locale['pointx_admin_07_001'] = "Higher Settings change detected!";
$locale['pointx_admin_07_002'] = "If changes are made the value of users points may change.";
$locale['pointx_admin_07_003'] = "Zmniejszenie Negative Points will reset for all users who have less than 0 points.";
$locale['pointx_admin_07_004'] = "Disabling \"Major &amp; Minor\" will replace all fractional results on the full.";
$locale['pointx_admin_07_005'] = "Lowering the maximum points will reduce the number of points for all their users with more than the specified value.";
$locale['pointx_admin_07_006'] = "Reducing the minimum value points will reset all negative below this value.";
$locale['pointx_admin_07_007'] = "Cancel";
// Points Management
$locale['pointx_admin_08_000'] = "User Name:";
$locale['pointx_admin_08_001'] = "Number of Points:";
$locale['pointx_admin_08_002'] = "Action:";
$locale['pointx_admin_08_003'] = "Add";
$locale['pointx_admin_08_004'] = "Take";
$locale['pointx_admin_08_005'] = "Reset";
$locale['pointx_admin_08_006'] = "Execute";
$locale['pointx_admin_08_007'] = "Add/Delete/Reset points";
$locale['pointx_admin_08_008'] = "Enable/Disable counting points";
$locale['pointx_admin_08_009'] = "Forum Name:";
$locale['pointx_admin_08_010'] = "This Forum has %s counting points.<br />Do you want to %s?";
$locale['pointx_admin_08_011'] = "disabled";
$locale['pointx_admin_08_012'] = "enabled";
$locale['pointx_admin_08_013'] = "switch on";
$locale['pointx_admin_08_014'] = "switch off";
$locale['pointx_admin_08_015'] = "Yes";
$locale['pointx_admin_08_016'] = "No";
$locale['pointx_admin_08_017'] = "Execute";
$locale['pointx_admin_08_018'] = "There is more than one forum with the specified name.<br />Choose one from the list below:";
$locale['pointx_admin_08_019'] = "Disabled";
$locale['pointx_admin_08_020'] = "Enabled";
// Event Log
$locale['pointx_admin_09_000'] = "User Name"; 
$locale['pointx_admin_09_001'] = "Number of Entries"; 
$locale['pointx_admin_09_002'] = "Options"; 
$locale['pointx_admin_09_003'] = "Open Log"; 
$locale['pointx_admin_09_004'] = "Disable Logging"; 
$locale['pointx_admin_09_005'] = "Clear Log"; 
$locale['pointx_admin_09_006'] = "Enable Logging"; 
$locale['pointx_admin_09_007'] = "Logging Disabled"; 
// Event Log - Open
$locale['pointx_admin_10_000'] = "Message"; 
$locale['pointx_admin_10_001'] = "Points"; 
$locale['pointx_admin_10_002'] = "Balance"; 
$locale['pointx_admin_10_003'] = "Date"; 
$locale['pointx_admin_10_004'] = "None Entries in Event Log!"; 
$locale['pointx_admin_10_005'] = "Legend:"; 
$locale['pointx_admin_10_006'] = "Added"; 
$locale['pointx_admin_10_007'] = "Taken"; 
$locale['pointx_admin_10_008'] = "[A]"; 
$locale['pointx_admin_10_009'] = "[T]"; 
$locale['pointx_admin_10_010'] = "Reset"; 
$locale['pointx_admin_10_011'] = "[R]"; 
$locale['pointx_admin_10_012'] = "Not Available"; 
// Event Log - Disable Logging
$locale['pointx_admin_11_000'] = "Are you sure you want to disable logging in the user?"; 
$locale['pointx_admin_11_001'] = "Yes"; 
$locale['pointx_admin_11_002'] = "No"; 
// Event Log - Enable Logging
$locale['pointx_admin_12_000'] = "Are you sure you want to enable logging in the user?"; 
$locale['pointx_admin_12_001'] = "Yes"; 
$locale['pointx_admin_12_002'] = "No"; 
// Event Log - Clean Event Log (User)
$locale['pointx_admin_13_000'] = "Are you sure you want to clear the log this user?"; 
$locale['pointx_admin_13_001'] = "Yes"; 
$locale['pointx_admin_13_002'] = "No"; 
// Event Log - Clean Event Log (All)
$locale['pointx_admin_14_000'] = "Are you sure you want to clear the log?"; 
$locale['pointx_admin_14_001'] = "Yes"; 
$locale['pointx_admin_14_002'] = "No"; 
// Update from 1.x.x to latest
$locale['pointx_admin_15_000'] = "Updater PointX!"; 
$locale['pointx_admin_15_001'] = "The update process will preserve the current state of points and some settings."; 
$locale['pointx_admin_15_002'] = "Update"; 
// Install PointXer 
$locale['pointx_admin_16_000'] = "Name";
$locale['pointx_admin_16_001'] = "Description";
$locale['pointx_admin_16_002'] = "Version";
$locale['pointx_admin_16_003'] = "PointX Version";
$locale['pointx_admin_16_004'] = "Install";
$locale['pointx_admin_16_005'] = "Folder \"%s\" does not contain PointXer files.";
$locale['pointx_admin_16_006'] = "The number of points awarded for PointXer:";
$locale['pointx_admin_16_007'] = "Installed";
$locale['pointx_admin_16_008'] = "Not found any PointXers.";
// Update
$locale['pointx_admin_17_000'] = "New version is Available!";
$locale['pointx_admin_17_001'] = "Installed infusion version is %s.";
$locale['pointx_admin_17_002'] = "The latest version of infusion is  %s.";
$locale['pointx_admin_17_003'] = "Click on the \"Update\" button to start the update process.";
$locale['pointx_admin_17_004'] = "%sNote!%s The update will be repeated several times.";
$locale['pointx_admin_17_005'] = "Manual update is required!";
$locale['pointx_admin_17_006'] = "Upgrade";

// PointX 2.0.4 - Panel (pointx_panel.php)
$locale['pointx_panel_00_000'] = "Top Users";
$locale['pointx_panel_00_001'] = "Points: ";

// PointX 2.0.4 - Main Class (PointX.class.php)
$locale['pointx_pxclass_00_000'] = "point";
$locale['pointx_pxclass_00_001'] = "points";
$locale['pointx_pxclass_00_002'] = "points";
$locale['pointx_pxclass_00_003'] = "points";
// The reason Blocking
$locale['pointx_pxclass_01_000'] = "Your account has been blocked";
$locale['pointx_pxclass_01_001'] = "Exceeded the allowable limit of negative points. Your account \"[USER_NAME]\" has been blocked.";
$locale['pointx_pxclass_01_002'] = "Exceeded the limit of negative points!";
// Messages "Event Log"
$locale['pointx_pxclass_02_000'] = "Points added by PointXer called \"%s\".";
$locale['pointx_pxclass_02_001'] = "Points taken by PointXer called \"%s\".";
$locale['pointx_pxclass_02_002'] = "Points added by Admin \"%s\".";
$locale['pointx_pxclass_02_003'] = "Points reset by Admin \"%s\".";
$locale['pointx_pxclass_02_004'] = "Points taken by Admin \"%s\".";
$locale['pointx_pxclass_02_005'] = "Transfer to user \"%s\"";
$locale['pointx_pxclass_02_006'] = "Transfer from user \"%s\"";

// PointX 2.0.4 - Function Values (FunctionValues.class.php)
$locale['pointx_fvclass_00_000'] = ""; // unnecessary
$locale['pointx_fvclass_00_001'] = ""; // unnecessary
$locale['pointx_fvclass_00_002'] = ""; // unnecessary

// PointX 2.0.4 - PointXers (PointXers.class.php)
$locale['pointx_pxerclass_00_000'] = "";

// PointX 2.0.4 - Generator "Number of Points" on the Forum (ForumGenerator.class.php)
$locale['pointx_fgclass_00_000'] = "Points:";
?>