<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pointx_admin.php
| Version: 2.0.4
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include_once INFUSIONS."pointx/pointx_core.php";

if (!checkrights("PX") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
if (!isset($_GET['page']) || ($_GET['page'] != "main" && $_GET['page'] != "management" && $_GET['page'] != "event_log" && $_GET['page'] != "settings")) { $_GET['page'] = "main"; }

if (defined("PxOldUpdate")) {
	unset($_GET['page']);
	$_GET['page'] == "oldupdate";
}

if ($PointX->settings['pointx_update_system'] == 1) {
	$locale_update = in_array($settings['locale'], array("Polish", "Polish-utf8", "English")) ? $settings['locale'] : "English";
	$update = simplexml_load_file("http://www.on-deck.eu/addons/pointx/info_".$locale_update.".xml");
	if (str_replace(".", "", $update->ver) > str_replace(".", "", PointX::Version)) {
		unset($_GET['page']);
		
		$_GET['page'] = "update";
	} else {
		unset($update);
	}
}

if (file_exists(INFUSIONS."pointx/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pointx/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pointx/locale/English.php";
}

echo $PointX->GenStatus(isset($_GET['status']) ? $_GET['status'] : "");

$PointX->navi = "<table cellpadding='0' cellspacing='0' class='tbl-border' align='center' style='width:500px; margin-bottom:20px; text-align:center;'>\n<tr>\n";
$PointX->navi .= "<td class='tbl'>\n";
$PointX->navi .= "<a href='".FUSION_SELF.$aidlink."&amp;page=main' title='".$PointX->locale['pointx_admin_00_002']."'>".(isset($_GET['page']) && $_GET['page'] == "main" ? "<strong>".$PointX->locale['pointx_admin_00_002']."</strong>" : $PointX->locale['pointx_admin_00_002'])."</a> :: \n";
if ($PointX->settings['scoring_event_log'] == 1) {
	$PointX->navi .= "<a href='".FUSION_SELF.$aidlink."&amp;page=event_log' title='".$PointX->locale['pointx_admin_00_010']."'>".(isset($_GET['page']) && $_GET['page'] == "event_log" ? "<strong>".$PointX->locale['pointx_admin_00_010']."</strong>" : $PointX->locale['pointx_admin_00_010'])."</a> :: \n";
}
$PointX->navi .= "<a href='".FUSION_SELF.$aidlink."&amp;page=management' title='".$PointX->locale['pointx_admin_00_009']."'>".(isset($_GET['page']) && $_GET['page'] == "management" ? "<strong>".$PointX->locale['pointx_admin_00_009']."</strong>" : $PointX->locale['pointx_admin_00_009'])."</a> :: \n";
$PointX->navi .= "<a href='".FUSION_SELF.$aidlink."&amp;page=settings' title='".$PointX->locale['pointx_admin_00_003']."'>".(isset($_GET['page']) && $_GET['page'] == "settings" ? "<strong>".$PointX->locale['pointx_admin_00_003']."</strong>" : $PointX->locale['pointx_admin_00_003'])."</a>\n";
$PointX->navi .= "</td>\n";
$PointX->navi .= "</tr>\n</table>\n";

if (isset($_GET['page']) && $_GET['page'] == "main") {
	if (isset($_GET['action']) && $_GET['action'] == "create") {
		if (isset($_POST['add_pointxer'])) {
			$pointxer_name = stripinput($_POST['pointxer_name']);
			$pointxer_points = isnum($_POST['pointxer_points']) || $_POST['pointxer_points'] != "" ? $_POST['pointxer_points'] : "zero";
			
			if ($pointxer_points == "zero") {
				redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_add_error2");
			} elseif ($pointxer_points == 0) {
				redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_add_error3");
			} else {
				if (!empty($pointxer_name)) {
					if (dbcount("(pointx_id)", DB_POINTX, "pointx_name='".$pointxer_name."'") == 0) {
						$result = dbquery("INSERT INTO ".DB_POINTX." (pointx_name, pointx_points, pointx_key) VALUES ('".$pointxer_name."', '".$pointxer_points."', '".PointX::GenKey(25)."')");
						redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_added");
					} else {
						redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_add_error4");
					}
				} else {
					redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_add_error1");
				}
				
			}
		} else {
			opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_004']);
			echo $PointX->RenderNavi();
			echo "<form name='addpx' method='post' action='".FUSION_SELF.$aidlink."&amp;page=main&amp;action=create'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
			echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['pointx_admin_02_001']."</td>\n";
			echo "<td class='tbl'><input type='text' name='pointxer_name' value='' class='textbox' style='width:200px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['pointx_admin_02_002']."</td>\n";
			echo "<td class='tbl'><input type='text' name='pointxer_points' value='' class='textbox' style='width:50px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'>\n";
			echo "<input type='submit' name='add_pointxer' value='".$locale['pointx_admin_02_003']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "install") {
		include_once INFUSIONS."pointx/system/PointXers.class.php";
		define("PointXerInstall", TRUE);
		$pointxers_files = makefilelist(INFUSIONS."pointx/pointxers/", ".svn|.|..", TRUE, "folders");
		
		if (isset($_GET['px_install']) && in_array($_GET['px_install'], $pointxers_files)) {
			if (isset($_POST['perform_install'])) {
				$PointXers = new PointXers($PointX, $_GET['px_install']);
				$PointXer_Data = $PointXers->GetData();
				
				if ($PointX->settings['scoring_mm'] == 1) {
					$pointxer_points = isset($_POST['px_points']) && is_numeric($_POST['px_points']) ? $_POST['px_points'] : 0;
				} elseif ($PointX->settings['scoring_mm'] == 0) {
					$pointxer_points = isset($_POST['px_points']) && isnum($_POST['px_points']) ? $_POST['px_points'] : 0;
				}
				if ($pointxer_points != 0) {
					if (isset($PointXer_Data['name']) && !empty($PointXer_Data['name'])) {
						if (isset($PointXer_Data['code']) && !empty($PointXer_Data['code'])) {
							if (strlen($PointXer_Data['code']) == 30) {
								$result = dbquery("INSERT INTO ".DB_POINTX." (pointx_name, pointx_file, pointx_points, pointx_key) VALUES ('".$PointXer_Data['name']."', '".$_GET['px_install']."', '".$pointxer_points."', '".$PointXer_Data['code']."')");
								if ($result) {
									$result2 = set_setting("installed_pointxers", $PointX->settings['installed_pointxers'].$_GET['px_install']."|", "pointx");
									if (!$result2) dbquery("DELETE FROM ".DB_POINTX." WHERE pointx_key='".$PointXer_Data['code']."'");
									if (!$result2) $result = FALSE;
								}
								redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=".($result ? "pointxer_installed" : "pointxer_install_error"));
							} else {
								redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=pointxer_code_length");
							}
						} else {
							redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=pointxer_code_error");
						}
					} else {
						redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=pointxer_name_error");
					}
				} else {
					redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=pointxer_field_error");
				}
			} else {
				opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_012']);
				echo $PointX->RenderNavi();
				echo "<form name='pointxerinstall' method='post' action='".FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;action=install&amp;px_install=".$_GET['px_install']."'>\n";
				echo "<div style='text-align:center;'>\n";
				echo $PointX->locale['pointx_admin_16_006']."<br />\n";
				echo "<input type='text' name='px_points' value='' maxlength='100' class='textbox' style='width:50px;' /><br /><br />\n";
				echo "<input type='submit' name='perform_install' value='".$locale['pointx_admin_16_004']."' class='button' />\n";
				echo "</div>\n</form>\n";
				closetable();
			}
		} else {
			opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_012']);
			echo $PointX->RenderNavi();
			echo "<table width='640' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
			echo "<tr>\n";
			echo "<td class='tbl2'>".$PointX->locale['pointx_admin_16_000']."</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$PointX->locale['pointx_admin_16_002']."</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$PointX->locale['pointx_admin_16_003']."</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$PointX->locale['pointx_admin_16_004']."</td>\n";
			echo "</tr>\n";
			if (count($pointxers_files) != 0) {
				for ($i = 0; $i < count($pointxers_files); $i++) {
					$PointXers = new PointXers($PointX, $pointxers_files[$i]);
					$PointXer_Data = $PointXers->GetData();
					
					$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
					if ($PointXer_Data) {
						echo "<tr>\n";
						echo "<td class='".$cell_color."'>".$PointXer_Data['name']."<br /><span style='font-size:9px;'><strong>".$PointX->locale['pointx_admin_16_001'].":</strong>&nbsp;".$PointXer_Data['desc']."</td>\n";
						echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".$PointXer_Data['version']."</td>\n";
						echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".$PointXer_Data['px_ver']."</td>\n";
						$check_install = dbcount("(pointx_id)", DB_POINTX, "pointx_key='".$PointXer_Data['code']."'") == 1 ? TRUE : FALSE;
						if ($check_install) {
							echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".$PointX->locale['pointx_admin_16_007']."</td>\n";
						} elseif (!$check_install) {
							echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;action=install&amp;px_install=".$pointxers_files[$i]."'>".$PointX->locale['pointx_admin_16_004']."</a></td>\n";
						}
						echo "</tr>\n";
					} else {
						echo "<tr>\n<td class='".$cell_color."' style='text-align:center;' colspan='4'>".sprintf($PointX->locale['pointx_admin_16_005'], $pointxers_files[$i])."</td>\n</tr>\n";
					}
					
					unset($PointXers, $PointXer_Data, $check_install);
				}
			} else {
				echo "<td class='tbl1' align='center' colspan='4'>".$PointX->locale['pointx_admin_16_008']."</td>\n";
			}
			echo "</table>\n";
			closetable();
		}
	} else {
		if (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['pointxer']) && isnum($_GET['pointxer'])) {
			$result = dbquery("SELECT pointx_id, pointx_name, pointx_points, pointx_key FROM ".DB_POINTX." WHERE pointx_id='".$_GET['pointxer']."'");
			if (dbrows($result) != 0) {
				$data = dbarray($result);
				
				if (isset($_POST['save_pointxer'])) {
					$pointxer_name = stripinput($_POST['pointxer_name']);
					$pointxer_points = isnum($_POST['pointxer_points']) || $_POST['pointxer_points'] != "" ? $_POST['pointxer_points'] : "zero";
					
					if ($pointxer_points == "zero") {
						redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_update_error2");
					} elseif ($pointxer_points == 0) {
						redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_update_error3");
					} else {
						if (!empty($pointxer_name)) {
							if ($data['pointx_name'] == $pointxer_name || dbcount("(pointx_id)", DB_POINTX, "pointx_name='".$pointxer_name."'") == 0) {
								$result = dbquery("UPDATE ".DB_POINTX." SET pointx_name='".$pointxer_name."', pointx_points='".$pointxer_points."' WHERE pointx_id='".$data['pointx_id']."'");
								redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_updated");
							} else {
								redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_update_error4");
							}
						} else {
							redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_update_error1");
						}
						
					}
				} else {
					opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].sprintf($PointX->locale['pointx_admin_00_005'], $data['pointx_name']));
					echo $PointX->RenderNavi();
					echo "<form name='editpx' method='post' action='".FUSION_SELF.$aidlink."&amp;page=main&amp;action=edit&amp;pointxer=".$_GET['pointxer']."'>\n";
					echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
					echo "<th width='1%' class='tbl' style='white-space:nowrap'>".$locale['pointx_admin_04_000']."</td>\n";
					echo "<td class='tbl'><input type='text' name='pointxer_name' value='".$data['pointx_name']."' class='textbox' style='width:200px;' /></td>\n";
					echo "</tr>\n<tr>\n";
					echo "<th width='1%' class='tbl' style='white-space:nowrap'>".$locale['pointx_admin_04_001']."</td>\n";
					echo "<td class='tbl'><input type='text' name='pointxer_points' value='".$data['pointx_points']."' class='textbox' style='width:50px;' /></td>\n";
					echo "</tr>\n<tr>\n";
					echo "<th width='1%' class='tbl' style='white-space:nowrap'>".$locale['pointx_admin_04_002']."</td>\n";
					echo "<td class='tbl'><em>".$data['pointx_key']."</em></td>\n";
					echo "</tr>\n<tr>\n";
					echo "<td align='center' colspan='2' class='tbl'>\n";
					echo "<input type='submit' name='save_pointxer' value='".$locale['pointx_admin_04_003']."' class='button' /></td>\n";
					echo "</tr>\n</table>\n</form>\n";
					closetable();
				}
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_update_error5");
			}
		} elseif (isset($_GET['action']) && $_GET['action'] == "delete" && isset($_GET['pointxer']) && isnum($_GET['pointxer'])) {
			$pxCount = dbcount("(pointx_id)", DB_POINTX, "pointx_id='".$_GET['pointxer']."'");
			if ($pxCount == 1) {
				if (isset($_POST['yes'])) {
					$result = dbquery("DELETE FROM ".DB_POINTX." WHERE pointx_id='".$_GET['pointxer']."'");
					redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=".($result ? "pointxer_deleted" : "pointxer_delete_error1"));
				} elseif (isset($_POST['no'])) {
					redirect(FUSION_SELF.$aidlink."&amp;page=main");
				} else {
					opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_006']);
					echo $PointX->RenderNavi();
					echo "<form name='editpx' method='post' action='".FUSION_SELF.$aidlink."&amp;page=main&amp;action=delete&amp;pointxer=".$_GET['pointxer']."'>\n";
					echo "<div style='text-align:center;'>\n";
					echo $PointX->locale['pointx_admin_05_000']."<br />\n";
					echo "<span class='small'>".$PointX->locale['pointx_admin_05_001']."</span>\n<br /><br />\n";
					echo "<input type='submit' name='yes' value='".$locale['pointx_admin_05_002']."' class='button' />&nbsp;<input type='submit' name='no' value='".$locale['pointx_admin_05_003']."' class='button' />";
					echo "</div>\n</form>\n";
					closetable();
				}
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=pointxer_delete_error2");
			}
		} else {
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			
			opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_002']);
			echo $PointX->RenderNavi();
			echo "<div style='text-align:center'><a href='".FUSION_SELF.$aidlink."&amp;page=main&amp;action=create' title='".$PointX->locale['pointx_admin_00_004']."'><strong>".$PointX->locale['pointx_admin_00_004']."</strong></a> | <a href='".FUSION_SELF.$aidlink."&amp;page=main&amp;action=install' title='".$PointX->locale['pointx_admin_00_012']."'><strong>".$PointX->locale['pointx_admin_00_012']."</strong></a></div>\n";
			echo "<table width='400' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
			$result = dbquery("SELECT pointx_id, pointx_name, pointx_points, pointx_key FROM ".DB_POINTX." ORDER BY pointx_id ASC LIMIT ".$_GET['rowstart'].",10");
			$rows = dbcount("(pointx_id)", DB_POINTX);
			if (dbrows($result) != 0) {
				$i = 0;
				echo "<tr>\n";
				echo "<td class='tbl2'>".$locale['pointx_admin_03_000']."</td>\n";
				echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pointx_admin_03_002']."</td>\n";
				echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pointx_admin_03_003']."</td>\n";
				echo "</tr>\n";
				while ($data = dbarray($result)) {
					$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
					echo "<tr>\n";
					echo "<td class='".$cell_color."'>".$data['pointx_name']."\n";
					echo "<br /><span class='small'><strong>".$PointX->locale['pointx_admin_03_001'].":</strong>&nbsp;".$data['pointx_key']."</span>";
					echo "</td>\n<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".($PointX->settings['scoring_mm'] == 1 ? number_format($data['pointx_points'], 2, ".", "'") : number_format($data['pointx_points'], 0, "", "'"))."</td>\n";
					echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=main&amp;action=edit&amp;pointxer=".$data['pointx_id']."'>".$locale['pointx_admin_03_004']."</a> - \n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=main&amp;action=delete&amp;pointxer=".$data['pointx_id']."'>".$locale['pointx_admin_03_005']."</a>\n";
					echo "</td>\n";
					echo "</tr>\n";
					$i++;
				}
				echo "</table>\n";
			} else {
				echo "<tr><td align='center' class='tbl1'>".$PointX->locale['pointx_admin_02_000']."</td></tr>\n</table>\n";
			}
			if ($rows > 10) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 10, $rows, 3, $aidlink."&amp;page=main&amp;")."\n</div>\n";
			closetable();
		}
	}
} elseif (isset($_GET['page']) && $_GET['page'] == "management") {
	if (isset($_POST['execute'])) {
		$manage_user_name = preg_replace(array("/\=/","/\#/","/\sOR\s/"), "", stripinput($_POST['manage_user_name']));
		if ($PointX->settings['scoring_mm'] == 1) {
			$_POST['manage_points'] = str_replace(",", ".", $_POST['manage_points']);
			
			$manage_points = isset($_POST['manage_points']) && is_numeric($_POST['manage_points']) == TRUE ? number_format($_POST['manage_points'], 2, ".", "") : "none";
		} else {
			$manage_points = isset($_POST['manage_points']) && isnum($_POST['manage_points']) ? number_format($_POST['manage_points']) : "none";
		}
		$manage_action = $_POST['manage_action'] == "add" || $_POST['manage_action'] == "take" || $_POST['manage_action'] == "reset" ? $_POST['manage_action'] : "no_action";
		
		$manage_points = $manage_action == "reset" ? 5 : $manage_points;
		
		$result = dbquery("SELECT user_id, user_points FROM ".DB_USERS." WHERE user_name='".$manage_user_name."'");
		
		if ($manage_points != "none") {
			if (dbrows($result) != 0) {
				$data = dbarray($result);
				
				if ($manage_action == "add") {	
					if (($data['user_points'] - $manage_points) <= $PointX->settings['max_points']) {
						$PointX->AddPoints($data['user_id'], $manage_points, TRUE, sprintf($PointX->locale['pointx_pxclass_02_002'], $userdata['user_name']));
						redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_true");
					} else {
						redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_false_error1");
					}
				} elseif ($manage_action == "take") {
					if ($PointX->settings['scoring_negative'] == 1 && (abs($data['user_points'] - $manage_points) < $PointX->settings['min_points'])) {
						$PointX->TakePoints($data['user_id'], $manage_points, TRUE, sprintf($PointX->locale['pointx_pxclass_02_004'], $userdata['user_name']));
						redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_true");
					} elseif ($PointX->settings['scoring_negative'] == 0 && (($data['user_points'] - $manage_points) >= 0)) {
						$PointX->TakePoints($data['user_id'], $manage_points, TRUE, sprintf($PointX->locale['pointx_pxclass_02_004'], $userdata['user_name']));
						redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_true");
					} else {
						redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_false_error1");
					}
				} elseif ($manage_action == "reset") {
					$result = dbquery("UPDATE ".DB_USERS." SET user_points='0' WHERE user_id='".$data['user_id']."'");
					$PointX->EventLog($data['user_id'], sprintf($PointX->locale['pointx_pxclass_02_003'], $userdata['user_name']), 0, 0, 3);
					redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_true");
				} elseif ($manage_action == "no_action") {
					redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_false_error4");
				}
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_false_error3");
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=management_false_error2");
		}
	} elseif (isset($_POST['execute_disable'])) {
		$manage_forum_name = isset($_POST['manage_forum_name']) && !empty($_POST['manage_forum_name']) ? stripinput($_POST['manage_forum_name']) : "";
		if (!empty($manage_forum_name)) {
			$result = dbquery("SELECT forum_id, forum_cat, forum_name, forum_description FROM ".DB_FORUMS." WHERE forum_cat!='0' AND forum_name='".$manage_forum_name."'");
			if (dbrows($result) == 1) {
				$data = dbarray($result);
				$forum_id = $data['forum_id'];
				
				$forum_disable_points = !empty($PointX->settings['forum_disable_points']) ? explode(".", $PointX->settings['forum_disable_points']) : array();
				if (in_array($forum_id, $forum_disable_points)) {
					$isset_forum = TRUE;
				} else {
					$isset_forum = FALSE;
				}
				
				if (isset($_POST['yes'])) {
					if ($isset_forum) {
						$key = array_search($forum_id, $forum_disable_points);
						unset($forum_disable_points[$key]);
						
						$update = set_setting("forum_disable_points", implode(".", $forum_disable_points), "pointx");
						if ($update) FunctionValues::TotalReset();
						redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=".($update ? "enable_counting_points" : "counting_points_error2"));
					} elseif (!$isset_forum) {
						$update = set_setting("forum_disable_points", $PointX->settings['forum_disable_points'].$forum_id.".", "pointx");
						if ($update) FunctionValues::TotalReset();
						redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=".($update ? "disable_counting_points" : "counting_points_error"));
					}
				} elseif (isset($_POST['no'])) {
					redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']);
				} else {
					opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_009']);
					echo $PointX->RenderNavi();
					echo "<form name='manageform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=management'>\n";
					echo "<div style='text-align:center;'>\n";
					echo sprintf($PointX->locale['pointx_admin_08_010'], $isset_forum ? $PointX->locale['pointx_admin_08_011'] : $PointX->locale['pointx_admin_08_012'], $isset_forum ? $PointX->locale['pointx_admin_08_013'] : $PointX->locale['pointx_admin_08_014'])."<br /><br />\n";
					echo "<input type='submit' name='yes' value='".$PointX->locale['pointx_admin_08_015']."' class='button' />&nbsp;<input type='submit' name='no' value='".$PointX->locale['pointx_admin_08_016']."' class='button' />\n";
					echo "<input type='hidden' name='execute_disable' value='1' />\n";
					echo "<input type='hidden' name='manage_forum_name' value='".$manage_forum_name."' />\n";
					echo "</div>\n</form>\n";
					closetable();
				}
			} elseif (dbrows($result) > 1) {
				if (isset($_POST['execute_insert'])) {
					$forum_id = isset($_POST['forum_id']) && isnum($_POST['forum_id']) ? $_POST['forum_id'] : 0;
					if ($forum_id != 0) {
						if (dbcount("(forum_id)", DB_FORUMS, "forum_id='".$_POST['forum_id']."'") == 1) {
							$forum_disable_points = !empty($PointX->settings['forum_disable_points']) ? explode(".", $PointX->settings['forum_disable_points']) : array();
							if (in_array($forum_id, $forum_disable_points)) {
								$isset_forum = TRUE;
							} else {
								$isset_forum = FALSE;
							}
							if ($isset_forum) {
								$key = array_search($forum_id, $forum_disable_points);
								unset($forum_disable_points[$key]);
								
								$update = set_setting("forum_disable_points", implode(".", $forum_disable_points), "pointx");
								if ($update) FunctionValues::TotalReset();
								redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=".($update ? "enable_counting_points" : "counting_points_error2"));
							} elseif (!$isset_forum) {
								$update = set_setting("forum_disable_points", $PointX->settings['forum_disable_points'].$forum_id.".", "pointx");
								if ($update) FunctionValues::TotalReset();
								redirect(FUSION_SELF.$aidlink."&amp;page=management&amp;status=".($update ? "disable_counting_points" : "counting_points_error"));
							}
						} else {
							redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=actions_execute_error");
						}
					} else {
						redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=actions_execute_error");
					}
				} else {
					opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_009']);
					echo $PointX->RenderNavi();
					echo "<form name='privacyform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."'>\n";
					echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
					echo "<tr>\n";
					echo "<td align='center' class='tbl1'>".$PointX->locale['pointx_admin_08_018']."</td>\n";
					echo "</tr>\n<tr>\n";
					while ($data = dbarray($result)) {
						$forum_disable_points = explode(".", $PointX->settings['forum_disable_points']);
						echo "<td align='center' class='tbl1'><label>[ID: ".$data['forum_id']." | ".(in_array($data['forum_id'], $forum_disable_points) ? $PointX->locale['pointx_admin_08_019'] : $PointX->locale['pointx_admin_08_020'])."] <a href='".FORUM."viewforum.php?forum_id=".$data['forum_id']."' title='".$data['forum_name']."' target='_blank'>".$data['forum_name']."</a> <input type='radio' name='forum_id' value='".$data['forum_id']."' /></label></td>\n";
						echo "</tr>\n<tr>\n";
					}
					echo "<td align='center' class='tbl'>\n";
					echo "<input type='submit' name='execute_insert' value='".$PointX->locale['pointx_admin_08_017']."' class='button' /></td>\n";
					echo "<input type='hidden' name='execute_disable' value='1' />\n";
					echo "<input type='hidden' name='manage_forum_name' value='".$manage_forum_name."' />\n";
					echo "</table>\n</form>\n";
					closetable();
				}
			} elseif (dbrows($result) == 0) {
				redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=forum_not_exists");
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=".$_GET['page']."&amp;status=forum_name_error");
		}
	} else {
		opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_009']);
		echo $PointX->RenderNavi();
		echo "<form name='manageform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=management'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
		echo "<td class='tbl2' align='center' colspan='2'>".$PointX->locale['pointx_admin_08_007']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$PointX->locale['pointx_admin_08_000']."</td>\n";
		echo "<td class='tbl'><input type='text' name='manage_user_name' value='' class='textbox' style='width:200px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$PointX->locale['pointx_admin_08_001']."</td>\n";
		echo "<td class='tbl'><input type='text' name='manage_points' value='' class='textbox' maxlength='".strlen($PointX->settings['max_points'])." style='width:200px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$PointX->locale['pointx_admin_08_002']."</td>\n";
		echo "<td class='tbl'><select name='manage_action' class='textbox'>\n";
		echo "<option value='add'>".$locale['pointx_admin_08_003']."</option>\n";
		echo "<option value='take'>".$locale['pointx_admin_08_004']."</option>\n";
		echo "<option value='reset'>".$locale['pointx_admin_08_005']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'>\n";
		echo "<input type='submit' name='execute' value='".$PointX->locale['pointx_admin_08_006']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		echo "<form name='manageform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=management'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
		echo "<td class='tbl2' align='center' colspan='2'>".$PointX->locale['pointx_admin_08_008']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$PointX->locale['pointx_admin_08_009']."</td>\n";
		echo "<td class='tbl'><input type='text' name='manage_forum_name' value='' class='textbox' style='width:200px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'>\n";
		echo "<input type='submit' name='execute_disable' value='".$PointX->locale['pointx_admin_08_006']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		closetable();
	}
} elseif ($PointX->settings['scoring_event_log'] == 1 && (isset($_GET['page']) && $_GET['page'] == "event_log")) {
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	
	if (isset($_GET['action']) && $_GET['action'] == "open" && isset($_GET['user_id']) && isnum($_GET['user_id'])) {
		$result = dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id='".$_GET['user_id']."'");
		if (dbrows($result) == 1) {
			$data = dbarray($result);
			
			opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_010']."\"".$data['user_name']."\"");
			echo $PointX->RenderNavi();
			echo "<div class='small' style='text-align:center;'><strong>".$PointX->locale['pointx_admin_10_005']."</strong>&nbsp;<span style='color:#009900;'>".$PointX->locale['pointx_admin_10_008']."</span> - ".$PointX->locale['pointx_admin_10_006']." | <span style='color:#FF0000;'>".$PointX->locale['pointx_admin_10_009']."</span> - ".$PointX->locale['pointx_admin_10_007']." | <span style='color:#0000FF;'>".$PointX->locale['pointx_admin_10_011']."</span> - ".$PointX->locale['pointx_admin_10_010']."</div>\n";
			echo "<table width='75%' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
			$result2 = dbquery("SELECT event_id, event_user, event_message, event_points, event_after_balance, event_datestamp, event_option FROM ".DB_EVENT_LOG." WHERE event_option!='4' AND event_user='".$data['user_id']."' ORDER BY event_datestamp DESC LIMIT ".$_GET['rowstart'].",10");
			$rows2 = dbcount("(event_id)", DB_EVENT_LOG, "event_user='".$data['user_id']."'");
			if (dbrows($result2) != 0) {
				$i = 0;
				echo "<tr>\n";
				echo "<td class='tbl2'>".$locale['pointx_admin_10_000']."</td>\n";
				echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pointx_admin_10_001']."</td>\n";
				echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pointx_admin_10_002']."</td>\n";
				echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pointx_admin_10_003']."</td>\n";
				echo "</tr>\n";
				while ($data2 = dbarray($result2)) {
					$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
					
					echo "<tr>\n";
					if ($data2['event_option'] == 3) {
						echo "<td class='".$cell_color."'><strong><span style='color:#0000FF;'>".$PointX->locale['pointx_admin_10_011']."</span></strong>&nbsp;".$data2['event_message']."</td>\n";
					} else {
						echo "<td class='".$cell_color."'><strong><span style='color:".($data2['event_option'] == 1 ? "#009900" : "#FF0000").";'>".($data2['event_option'] == 1 ? $PointX->locale['pointx_admin_10_008'] : $PointX->locale['pointx_admin_10_009'])."</span></strong>&nbsp;".$data2['event_message']."</td>\n";
					}
					if ($data2['event_option'] == 3) {
						echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".$PointX->locale['pointx_admin_10_012']."</td>\n";
						echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".$PointX->locale['pointx_admin_10_012']."</td>\n";
					} else {
						echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".number_format($data2['event_points'], 2, ".", "'")."</td>\n";
						echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".number_format($data2['event_after_balance'], 2, ".", "'")."</td>\n";
					}
					echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".showdate("longdate", $data2['event_datestamp'])."</td>\n";
					echo "</tr>\n";
					
					$i++;
				}
				echo "</table>\n";
			} else {
				echo "<tr><td align='center' class='tbl1'>".$locale['pointx_admin_10_004']."</td></tr>\n</table>\n";
			}
			if ($rows2 > 10) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 10, $rows2, 3, $aidlink."&amp;page=event_log&amp;action=open&amp;user_id=".$_GET['user_id']."&amp;")."\n</div>\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;status=event_log_error1");
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "enable" && isset($_GET['user_id']) && isnum($_GET['user_id'])) {
		$result = dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id='".$_GET['user_id']."'");
		if (dbrows($result) == 1) {
			$data = dbarray($result);
			
			if (isset($_POST['yes'])) {
				$result = dbquery("DELETE FROM ".DB_EVENT_LOG." WHERE event_user='".$data['user_id']."' AND event_option='4'");
				redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;status=registration_enabled");
			} elseif (isset($_POST['no'])) {
				redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=open&amp;user_id=".$_GET['user_id']);
			} else {
				opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_010']);
				echo $PointX->RenderNavi();
				echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=enable&amp;user_id=".$data['user_id']."'>\n";
				echo "<div style='text-align:center;'>";
				echo $PointX->locale['pointx_admin_12_000']."<br /><br />\n";
				echo "<input type='submit' name='yes' value='".$locale['pointx_admin_12_001']."' class='button' /><input type='submit' name='no' value='".$locale['pointx_admin_12_002']."' class='button' />\n";
				echo "</div>\n</form>\n";
				closetable();
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;status=event_log_error1");
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "disable" && isset($_GET['user_id']) && isnum($_GET['user_id'])) {
		$result = dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id='".$_GET['user_id']."'");
		if (dbrows($result) == 1) {
			$data = dbarray($result);
			
			if (isset($_POST['yes'])) {
				$PointX->EventLog($data['user_id'], "", 0, 0, 4);
				redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;status=registration_disabled");
			} elseif (isset($_POST['no'])) {
				redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;user_id=".$_GET['user_id']);
			} else {
				opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_010']);
				echo $PointX->RenderNavi();
				echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=disable&amp;user_id=".$data['user_id']."'>\n";
				echo "<div style='text-align:center;'>";
				echo $PointX->locale['pointx_admin_11_000']."<br /><br />\n";
				echo "<input type='submit' name='yes' value='".$locale['pointx_admin_11_001']."' class='button' /><input type='submit' name='no' value='".$locale['pointx_admin_11_002']."' class='button' />\n";
				echo "</div>\n</form>\n";
				closetable();
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;status=event_log_error1");
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "clean" && isset($_GET['user_id']) && isnum($_GET['user_id'])) {
		$result = dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id='".$_GET['user_id']."'");
		if (dbrows($result) == 1) {
			$data = dbarray($result);
			
			if (isset($_POST['yes'])) {
				$result2 = dbquery("DELETE FROM ".DB_EVENT_LOG." WHERE event_user='".$data['user_id']."'");
				redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;status=registration_cleaned");
			} elseif (isset($_POST['no'])) {
				redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;user_id=".$_GET['user_id']);
			} else {
				opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_010']);
				echo $PointX->RenderNavi();
				echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=clean&amp;user_id=".$data['user_id']."'>\n";
				echo "<div style='text-align:center;'>";
				echo $PointX->locale['pointx_admin_13_000']."<br /><br />\n";
				echo "<input type='submit' name='yes' value='".$locale['pointx_admin_13_001']."' class='button' /><input type='submit' name='no' value='".$locale['pointx_admin_13_002']."' class='button' />\n";
				echo "</div>\n</form>\n";
				closetable();
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=event_log&amp;status=event_log_error1");
		}
	} else {
		opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_010']);
		echo $PointX->RenderNavi();
		echo "<table width='500' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
		$result = dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." ORDER BY user_id ASC");
		if (dbrows($result) != 0) {
			$i = 0;
			echo "<tr>\n";
			echo "<th class='tbl2'>".$locale['pointx_admin_09_000']."</th>\n";
			echo "<th align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pointx_admin_09_001']."</th>\n";
			echo "<th align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['pointx_admin_09_002']."</th>\n";
			echo "</tr>\n";
			while ($data = dbarray($result)) {
				$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
				echo "<tr>\n";
				echo "<td class='".$cell_color."'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
				echo "</td>\n<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".dbcount("(event_id)", DB_EVENT_LOG, "event_option!='4' AND event_user='".$data['user_id']."'")."</td>\n";
				echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'><span class='small'>\n";
				if (dbcount("(event_id)", DB_EVENT_LOG, "event_option='4' AND event_user='".$data['user_id']."'") == 0) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=open&amp;user_id=".$data['user_id']."'>".$locale['pointx_admin_09_003']."</a> - \n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=disable&amp;user_id=".$data['user_id']."'>".$locale['pointx_admin_09_004']."</a><br />\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=clean&amp;user_id=".$data['user_id']."'>".$locale['pointx_admin_09_005']."</a>\n";
				} else {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=event_log&amp;action=enable&amp;user_id=".$data['user_id']."'>".$locale['pointx_admin_09_006']."</a><br />\n";
				}
				echo "</span></td>\n";
				echo "</tr>\n";
				$i++;
			}
			echo "</table>\n";
		} else {
			die("ERROR!");
		}
		closetable();
	}
} elseif (isset($_GET['page']) && $_GET['page'] == "settings") {
	include_once INCLUDES."infusions_include.php";
	include_once INCLUDES."bbcode_include.php";
	
	if (isset($_GET['higher_settings'])) {
		$higher_settings = explode("|", $_GET['higher_settings']);
		
		if (isset($_POST['execute'])) {
			$ErrorTrue = FALSE;
			
			if (in_array("scoring_negative", $higher_settings)) {
				$update = set_setting("scoring_negative", 0, "pointx");
				if (!$update) $ErrorTrue = TRUE;
				
				$result = dbquery("SELECT user_id, user_points FROM ".DB_USERS." WHERE user_points < 0");
				if (dbrows($result) != 0) {
					while ($data = dbarray($result)) {
						$result2 = dbquery("UPDATE ".DB_USERS." SET user_points='0' WHERE user_id='".$data['user_id']."'");
					}
				}
				
				unset($result, $data, $result2);
			}
			
			if (in_array("scoring_mm", $higher_settings)) {
				$update = set_setting("scoring_mm", 0, "pointx");
				if (!$update) $ErrorTrue = TRUE;
				
				$result = dbquery("SELECT user_id, user_points FROM ".DB_USERS);
				if (dbrows($result) != 0) {
					while ($data = dbarray($result)) {
						$data['user_points'] = explode(".", $data['user_points']);
						if (count($data['user_points']) != 1) {
							$result2 = dbquery("UPDATE ".DB_USERS." SET user_points='".$data['user_points'][0]."' WHERE user_id='".$data['user_id']."'");
						}
					}
				}
				
				unset($result, $data, $result2);
			}
			
			if (in_array("max_points", $higher_settings) && isset($_GET['max_points']) && isnum($_GET['max_points'])) {
				$update = set_setting("max_points", $_GET['max_points'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
				
				$result = dbquery("SELECT user_id, user_points FROM ".DB_USERS." WHERE user_points > ".$_GET['max_points']);
				if (dbrows($result) != 0) {
					while ($data = dbarray($result)) {
						$result2 = dbquery("UPDATE ".DB_USERS." SET user_points='".$_GET['max_points']."' WHERE user_id='".$data['user_id']."'");
					}
				}
				
				unset($result, $data, $result2);
			}
			
			if (!in_array("scoring_negative", $higher_settings) && in_array("min_points", $higher_settings) && isset($_GET['min_points']) && isnum($_GET['min_points'])) {
				$update = set_setting("min_points", $_GET['min_points'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
				
				$result = dbquery("SELECT user_id, user_points FROM ".DB_USERS." WHERE user_points < 0");
				if (dbrows($result) != 0) {
					while ($data = dbarray($result)) {
						if (abs($data['user_points']) > $_GET['min_points']) {
							$result2 = dbquery("UPDATE ".DB_USERS." SET user_points='".$_GET['max_points']."' WHERE user_id='".$data['user_id']."'");
						}
					}
				}
				
				unset($result, $data, $result2);
			}
			
			redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=settings_updated");
		} elseif (isset($_POST['cancel'])) {
			redirect(FUSION_SELF.$aidlink."&amp;page=settings");
		} else {
			opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_007']);
			echo $PointX->RenderNavi();
			echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=settings&amp;higher_settings=".$_GET['higher_settings'].(isset($_GET['max_points']) ? "&amp;max_points=".$_GET['max_points'] : "").(isset($_GET['min_points']) ? "&amp;min_points=".$_GET['min_points'] : "")."'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
			echo "<td width='50%' align='center' class='tbl'><strong><span style='color:#FF0000;'>".$PointX->locale['pointx_admin_07_001']."</span></strong><br />\n<em><span class='small'>".$PointX->locale['pointx_admin_07_002']."</span></em></td>\n";
			echo "</tr>\n<tr>\n";
			if (in_array("scoring_negative", $higher_settings)) {
				echo "<td width='50%' align='center' class='tbl'>".$PointX->locale['pointx_admin_07_003']."</td>\n";
				echo "</tr>\n<tr>\n";
			}
			if (in_array("scoring_mm", $higher_settings)) {
				echo "<td width='50%' align='center' class='tbl'>".$PointX->locale['pointx_admin_07_004']."</td>\n";
				echo "</tr>\n<tr>\n";
			}
			if (in_array("max_points", $higher_settings)) {
				echo "<td width='50%' align='center' class='tbl'>".$PointX->locale['pointx_admin_07_005']."</td>\n";
				echo "</tr>\n<tr>\n";
			}
			if (in_array("min_points", $higher_settings)) {
				echo "<td width='50%' align='center' class='tbl'>".$PointX->locale['pointx_admin_07_006']."</td>\n";
				echo "</tr>\n<tr>\n";
			}
			echo "<td align='center' class='tbl'><br />\n";
			echo "<input type='submit' name='execute' value='".$locale['pointx_admin_07_000']."' class='button' /><input type='submit' name='cancel' value='".$locale['pointx_admin_07_007']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();
		}
	} elseif (!isset($_GET['higher_settings']) && !isset($_GET['clean_event_log']) && isset($_GET['preview'])) {
		opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_008']);
		echo $PointX->RenderNavi();
		echo "<table width='90%' cellspacing='1' cellpadding='0' class='tbl center'>\n";
		echo "<tr>\n";
		echo "<td class='tbl' width='75%'>\n";
		echo nl2br(parseubb($PointX->settings['page_message']));
		echo "</td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		closetable();
	} elseif (!isset($_GET['higher_settings']) && !isset($_GET['preview']) && isset($_GET['clean_event_log'])) {
		if (isset($_POST['yes'])) {
			$result = dbquery("DELETE FROM ".DB_EVENT_LOG);
			redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=registration_cleaned");
		} elseif (isset($_POST['no'])) {
			redirect(FUSION_SELF.$aidlink."&amp;page=settings");
		} else {
			opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_010']);
			echo $PointX->RenderNavi();
			echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=settings&amp;clean_event_log'>\n";
			echo "<div style='text-align:center;'>";
			echo $PointX->locale['pointx_admin_14_000']."<br /><br />\n";
			echo "<input type='submit' name='yes' value='".$locale['pointx_admin_14_001']."' class='button' /><input type='submit' name='no' value='".$locale['pointx_admin_14_002']."' class='button' />\n";
			echo "</div>\n</form>\n";
			closetable();
		}
	} else {
		if (isset($_POST['savesettings'])) {
			$ErrorTrue = FALSE;
			
			$TrueRedirect = FALSE;
			$SetRedirect = "";
			
			if (isset($_POST['pointx_update_system']) && ($_POST['pointx_update_system'] == 1 || $_POST['pointx_update_system'] == 0)) {
				$update = set_setting("pointx_update_system", $_POST['pointx_update_system'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['scoring_enabled']) && ($_POST['scoring_enabled'] == 1 || $_POST['scoring_enabled'] == 0)) {
				$update = set_setting("scoring_enabled", $_POST['scoring_enabled'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['scoring_event_log']) && ($_POST['scoring_event_log'] == 1 || $_POST['scoring_event_log'] == 0)) {
				$update = set_setting("scoring_event_log", $_POST['scoring_event_log'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['scoring_negative']) && ($_POST['scoring_negative'] == 1 || $_POST['scoring_negative'] == 0)) {
				if ($_POST['scoring_negative'] == 1) {
					$update = set_setting("scoring_negative", $_POST['scoring_negative'], "pointx");
					if (!$update) $ErrorTrue = TRUE;
				} elseif ($_POST['scoring_negative'] == 0 && ($PointX->settings['scoring_negative'] != $_POST['scoring_negative'])) {
					if (!$TrueRedirect) $TrueRedirect = TRUE;
					$SetRedirect .= "scoring_negative|";
				}
			}
			if (isset($_POST['scoring_mm']) && ($_POST['scoring_mm'] == 1 || $_POST['scoring_mm'] == 0)) {
				if ($_POST['scoring_mm'] == 1) {
					$update = set_setting("scoring_mm", $_POST['scoring_mm'], "pointx");
					if (!$update) $ErrorTrue = TRUE;
				} elseif ($_POST['scoring_mm'] == 0 && ($PointX->settings['scoring_mm'] != $_POST['scoring_mm'])) {
					if (!$TrueRedirect) $TrueRedirect = TRUE;
					$SetRedirect .= "scoring_mm|";
				}
			}
			if (isset($_POST['scoring_rank']) && ($_POST['scoring_rank'] == 1 || $_POST['scoring_rank'] == 0)) {
				$update = set_setting("scoring_rank", $_POST['scoring_rank'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['max_points']) && isnum($_POST['max_points']) && (strlen($_POST['max_points']) <= 50)) {
				if ($_POST['max_points'] < $PointX->settings['max_points']) {
					if (!$TrueRedirect) $TrueRedirect = TRUE;
					$SetRedirect .= "max_points|";
					$max_points = $_POST['max_points'];
				} else {
					$update = set_setting("max_points", $_POST['max_points'], "pointx");
					if (!$update) $ErrorTrue = TRUE;
				}
			}
			if (isset($_POST['min_points']) && isnum($_POST['min_points']) && (strlen($_POST['min_points']) <= 50)) {
				if ($_POST['min_points'] < $PointX->settings['min_points']) {
					if (!$TrueRedirect) $TrueRedirect = TRUE;
					$SetRedirect .= "min_points|";
					$min_points = $_POST['min_points'];
				} else {
					$update = set_setting("min_points", $_POST['min_points'], "pointx");
					if (!$update) $ErrorTrue = TRUE;
				}
			}
			if (isset($_POST['min_action']) && ($_POST['min_action'] == "no_action" || $_POST['min_action'] == "ban")) {
				$update = set_setting("min_action", $_POST['min_action'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['transfers_log']) && isnum($_POST['transfers_log'])) {
				$update = set_setting("transfers_log", $_POST['transfers_log'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['page_transfer']) && ($_POST['page_transfer'] == 1 || $_POST['page_transfer'] == 0)) {
				$update = set_setting("page_transfer", $_POST['page_transfer'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['page_list']) && ($_POST['page_list'] == 1 || $_POST['page_list'] == 0)) {
				$update = set_setting("page_list", $_POST['page_list'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['page_message'])) {
				$page_message = stripinput(trim($_POST['page_message']));
				
				$update = set_setting("page_message", $page_message, "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['function_values']) && ($_POST['function_values'] == 1 || $_POST['function_values'] == 2)) {
				$update = set_setting("function_values", $_POST['function_values'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['forum_info_points']) && ($_POST['forum_info_points'] == 1 || $_POST['forum_info_points'] == 0)) {
				$update = set_setting("forum_info_points", $_POST['forum_info_points'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			if (isset($_POST['admins_in_panel']) && ($_POST['admins_in_panel'] == 1 || $_POST['admins_in_panel'] == 0)) {
				$update = set_setting("admins_in_panel", $_POST['admins_in_panel'], "pointx");
				if (!$update) $ErrorTrue = TRUE;
			}
			
			if (!$TrueRedirect) {
				redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=".(!$ErrorTrue ? "settings_updated" : "settings_update_error"));
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;higher_settings=".substr($SetRedirect, 0, -1).(isset($max_points) ? "&amp;max_points=".$max_points : "").(isset($min_points) ? "&amp;min_points=".$min_points : ""));
			}
		} else {
			opentable($PointX->locale['pointx_admin_00_000']."&nbsp;".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_003']);
			echo $PointX->RenderNavi();
			echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=settings'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl2'><span class='small2'>".$locale['pointx_admin_06_038']."</span></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_037']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='pointx_update_system' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['pointx_update_system'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['pointx_update_system'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl2'><span class='small2'>".$locale['pointx_admin_06_013']."</span></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_003']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='scoring_enabled' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['scoring_enabled'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['scoring_enabled'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_033']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='scoring_event_log' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['scoring_event_log'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['scoring_event_log'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select><br /><a href='".FUSION_SELF.$aidlink."&amp;page=settings&amp;clean_event_log' title='".$PointX->locale['pointx_admin_06_034']."'>".$PointX->locale['pointx_admin_06_034']."</a></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_004']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='scoring_negative' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['scoring_negative'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['scoring_negative'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_005']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='scoring_mm' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['scoring_mm'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['scoring_mm'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_006']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='scoring_rank' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['scoring_rank'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['scoring_rank'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_007']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='scoring_group' disabled='disabled' class='textbox'>\n";
			$groups_arr = getusergroups();
			foreach ($groups_arr as $group) {
				if ($group[0] != 0) {
					echo "<option value='".$group[0]."'".($PointX->settings['scoring_group'] == $group[0] ? " selected='selected'" : "").">".$group[1]."</option>\n";
				}
			}
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_008']."</td>\n";
			echo "<td width='50%' class='tbl'><input type='text' name='max_points' value='".$PointX->settings['max_points']."' maxlength='50' class='textbox' style='width:100px;' autocomplete='off' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_009']."</td>\n";
			echo "<td width='50%' class='tbl'><input type='text' name='min_points' value='".$PointX->settings['min_points']."' maxlength='50' class='textbox' style='width:100px;' autocomplete='off' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_010']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='min_action' class='textbox'>\n";
			echo "<option value='no_action'".($PointX->settings['min_action'] == "no_action" ? " selected='selected'" : "").">".$locale['pointx_admin_06_011']."</option>\n";
			echo "<option value='ban'".($PointX->settings['min_action'] == "ban" ? " selected='selected'" : "").">".$locale['pointx_admin_06_012']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_036']."</td>\n";
			echo "<td width='50%' class='tbl'><input type='text' name='transfers_log' value='".$PointX->settings['transfers_log']."' maxlength='50' class='textbox' style='width:100px;' autocomplete='off' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl2'><span class='small2'>".$locale['pointx_admin_06_014']."</span></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_015']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='page_transfer' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['page_transfer'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['page_transfer'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_019']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='page_transfer_negative' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['page_transfer_negative'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['page_transfer_negative'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_016']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='page_list' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['page_list'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['page_list'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td colspan='2' class='tbl'>".$locale['pointx_admin_06_017']."&nbsp;<a href='".FUSION_SELF.$aidlink."&amp;page=settings&amp;preview' title='".$PointX->locale['pointx_admin_06_018']."'>[".$PointX->locale['pointx_admin_06_018']."]</a><br />\n";
			echo "<textarea type='text' name='page_message' cols='70' rows='4' class='textbox' style='width:98%'>".$PointX->settings['page_message']."</textarea><br />\n";
			echo display_bbcodes("98%;", "page_message", "settingsform")."</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl2'><span class='small2'>".$locale['pointx_admin_06_020']."</span></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_021']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='function_values' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['function_values'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_022']."</option>\n";
			echo "<option value='2'".($PointX->settings['function_values'] == "2" ? " selected='selected'" : "").">".$locale['pointx_admin_06_023']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl2'><span class='small2'>".$locale['pointx_admin_06_025']."</span></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_026']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='forum_info_points' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['forum_info_points'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['forum_info_points'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_035']."</td>\n";
			echo "<td width='50%' class='tbl'><select name='admins_in_panel' class='textbox'>\n";
			echo "<option value='1'".($PointX->settings['admins_in_panel'] == "1" ? " selected='selected'" : "").">".$locale['pointx_admin_06_000']."</option>\n";
			echo "<option value='0'".($PointX->settings['admins_in_panel'] == "0" ? " selected='selected'" : "").">".$locale['pointx_admin_06_001']."</option>\n";
			echo "</select></td>\n";
			echo "</tr>\n<tr>\n";
			if (file_exists(INCLUDES."user_fields/user_points_include.php") && file_exists(INCLUDES."user_fields/user_points_include_var.php")) {
				$user_field_result = dbquery("SELECT field_id FROM ".DB_USER_FIELDS." WHERE field_name='user_points'");
				
				if (dbrows($user_field_result) == 1) {
					$user_field_data = dbarray($user_field_result);
					echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_027']."</td>\n";
					echo "<td width='50%' class='tbl'><a href='".ADMIN."user_fields.php".$aidlink."&amp;disable=".$user_field_data['field_id']."' title='".$PointX->locale['pointx_admin_06_030']."'>".$PointX->locale['pointx_admin_06_030']."</a></td>\n";
				} else {
					echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_027']."</td>\n";
					echo "<td width='50%' class='tbl'><a href='".ADMIN."user_fields.php".$aidlink."&amp;enable=user_points' title='".$PointX->locale['pointx_admin_06_029']."'>".$PointX->locale['pointx_admin_06_029']."</a></td>\n";
				}
				unset($user_field_result, $user_field_data);
				
				echo "</tr>\n<tr>\n";
			}
			if (file_exists(INFUSIONS."pointx_panel/pointx_panel.php")) {
				$panel_result = dbquery("SELECT panel_id, panel_side, panel_status FROM ".DB_PANELS." WHERE panel_filename='pointx_panel'");
				echo "<td width='50%' class='tbl'>".$locale['pointx_admin_06_028']."</td>\n";
				if (dbrows($panel_result) == 0) {
					echo "<td width='50%' class='tbl'>".$PointX->locale['pointx_admin_06_029']."&nbsp;<strong>[</strong><a href='".ADMIN."panel_editor.php".$aidlink."&amp;panel_side=1&amp;pointx_add_panel' title='".$PointX->locale['pointx_admin_06_032']."'>".$PointX->locale['pointx_admin_06_032']."</a><strong>\</strong><a href='".ADMIN."panel_editor.php".$aidlink."&amp;panel_side=4&amp;pointx_add_panel' title='".$PointX->locale['pointx_admin_06_031']."'>".$PointX->locale['pointx_admin_06_031']."</a><strong>]</strong></td>\n";
				} else {
					$panel_data = dbarray($panel_result);
					if ($panel_data['panel_status'] == 1) {
						echo "<td width='50%' class='tbl'><a href='".ADMIN."panels.php".$aidlink."&amp;action=delete&amp;panel_id=".$panel_data['panel_id']."&panel_side=".$panel_data['panel_side']."' title='".$PointX->locale['pointx_admin_06_030']."'>".$PointX->locale['pointx_admin_06_030']."</a></td>\n";
					} else {
						echo "<td width='50%' class='tbl'><a href='".ADMIN."panels.php".$aidlink."&amp;action=setstatus&amp;status=1&amp;panel_id=".$panel_data['panel_id']."' title='".$PointX->locale['pointx_admin_06_029']."'>".$PointX->locale['pointx_admin_06_029']."</a></td>\n";
					}
				}
				echo "</tr>\n<tr>\n";
			}
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='submit' name='savesettings' value='".$locale['pointx_admin_06_002']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();
		}
	}
} elseif (isset($_GET['page']) && $_GET['page'] == "update") {
	if (isset($_POST['update_version'])) {
		copy("http://www.on-deck.eu/addons/pointx/".$update->file, "system/update.zip");
		
		$Zip = new ZipArchive;
		$update_file = "system/update.zip";
		if ($Zip->open($update_file) !== TRUE) {
			$error = TRUE;
		} else {
			$error = FALSE;
			
			$Zip->extractTo(INFUSIONS);
			$Zip->close();
		}
		
		@unlink("system/update.zip");
		
		redirect(FUSION_SELF.$aidlink."&amp;page=main&amp;status=".(!$error ? "infusion_updated" : "infusion_update_error"));
	} else {
		opentable($PointX->locale['pointx_admin_00_000']."&nbsp".PointX::Version.$PointX->locale['pointx_admin_00_001'].$PointX->locale['pointx_admin_00_013']);
		echo $PointX->RenderNavi();
		echo "<div style='text-align:center;'>\n";
		echo "<span style='color:#009900;font-weight:bold;'>".$PointX->locale['pointx_admin_17_000']."</span><br />\n";
		echo sprintf($PointX->locale['pointx_admin_17_001'], PointX::Version)."<br />";
		echo sprintf($PointX->locale['pointx_admin_17_002'], $update->ver);
		if ($update->possible == "yes") {
			echo "<p>".$PointX->locale['pointx_admin_17_003']."</p>";
			if (str_replace(".", "", $update->ver) - str_replace(".", "", PointX::Version) > 1) echo "<p>".sprintf($PointX->locale['pointx_admin_17_004'], "<strong>", "</strong>")."</p>";
		} elseif ($update->possible == "no") {
			echo "<p>".$PointX->locale['pointx_admin_17_005']."</p>";
		}
		echo "<form name='settings' method='post' action='".FUSION_SELF.$aidlink."&amp;page=update'>\n";
		if ($update->possible == "yes") {
			echo "<input type='submit' name='update_version' value='".$PointX->locale['pointx_admin_17_006']."' class='button' />\n";
		}
		echo "</form>\n</div>\n";
		closetable();
	}
} else {
	redirect(FUSION_SELF.$aidlink."&amp;page=main");
}

require_once THEMES."templates/footer.php";
?>