<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ForumGenerator.class.php
| Version: 2.0.4
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
class ForumGenerator {
	private $PointX;
	private $initializer;
	private $locale;
	
	private $threadID;
	
	private $usersArr = array();
	private $usersArrTmp = array();
	
	public function __construct ($mainClass) {
		$this->PointX = $mainClass;
		
		if (isset($_GET['thread_id']) && isnum($_GET['thread_id'])) {
            $this->threadID = $_GET['thread_id'];
        } else if (isset($_GET['post_id']) && isnum($_GET['post_id'])) {
            $result = dbquery("SELECT thread_id FROM ".DB_POSTS." WHERE post_id='".$_GET['post_id']."'");
            if (!dbrows($result)) return;
            $this->threadID = dbresult($result, 0, 1);
        } else {
            return;
        }
		
		if ($this->PointX->settings['forum_info_points'] == 1 && !empty($this->threadID)) {
            $this->GetPostData();
        }
	}
	
	private function GetPostData () {
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
            if (isset($_GET['pid']) && isnum($_GET['pid'])) {
                $reply_count = dbcount("(post_id)", DB_POSTS, "thread_id='".$_GET['thread_id']."' AND post_id<='".$_GET['pid']."'");
                if ($reply_count > 20) { $_GET['rowstart'] = ((ceil($reply_count / "20")-1) * 20); } else { $_GET['rowstart'] = 0; }
            } else {
                $_GET['rowstart'] = 0;
            }
        }

        $result = dbquery("SELECT post_id, post_author FROM ".DB_POSTS." WHERE thread_id='".$this->threadID."' ORDER BY post_datestamp LIMIT ".$_GET['rowstart'].",20");
        while($data = dbarray($result)) {
            $this->usersArr[] = $data['post_author'];
        }
        $this->usersArrTmp = array_merge(array(""), $this->usersArr);
    }
	
	private function ForumInfoData () {
        $current_user_id = next($this->usersArrTmp);
		$data = "";
		if ($this->PointX->settings['scoring_rank'] == 1) {
			include_once INFUSIONS."pointx/system/ForumInclude.func.php";
			
			$result = dbquery("SELECT user_level, user_groups FROM ".DB_USERS." WHERE user_id='".$current_user_id."'");
			if (dbrows($result) != 0) {
				$udata = dbarray($result);
				$data .= show_forum_rank2($this->PointX->ShowUserPoints($current_user_id), $udata['user_level'], $udata['user_groups'])."<br /><br />\n";
			}
		}
		$data .= "<!--forum_thread_user_info--><span class='small'><strong>".$this->PointX->locale['pointx_fgclass_00_000']."</strong> ".$this->PointX->ShowUserPoints($current_user_id)."</span><br />\n";
        return $data;
    }
	
	private function AddToForumInfo () {
        reset($this->usersArrTmp);
        $this->initializer = preg_replace_callback("#<!--forum_thread_user_info-->#", array($this, "ForumInfoData"), $this->initializer);
    }
	
	public function setInitializer($initializer) {
        $this->initializer = $initializer;
    }
	
	public function Execute () {
        if($this->PointX->settings['forum_info_points'] == 1) {
            $this->AddToForumInfo();
        }
        return $this->initializer;
    }
}
?>