<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ForumInclude.func.php
| Version: 2.0.4
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
function forum_rank_cache2() {
	global $PointX, $forum_mod_rank_cache, $forum_post_rank_cache, $forum_special_rank_cache;
	
	$forum_post_rank_cache = array();
	$forum_mod_rank_cache = array();
	$forum_special_rank_cache = array();
	if ($PointX->settings['scoring_rank']) {
		$result = dbquery("SELECT rank_title, rank_image, rank_type, rank_posts, rank_apply FROM ".DB_FORUM_RANKS." ORDER BY rank_apply DESC, rank_posts ASC");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				if ($data['rank_type'] == 0) {
					$forum_post_rank_cache[] = $data;
				} elseif ($data['rank_type'] == 1) {
					$forum_mod_rank_cache[] = $data;
				} else {
					$forum_special_rank_cache[] = $data;
				}
			}
		}
	}
}

function show_forum_rank2($posts, $level, $groups) {
	global $PointX, $locale, $forum_mod_rank_cache, $forum_post_rank_cache, $forum_special_rank_cache;
	
	$res = "";
	if ($PointX->settings['scoring_rank']) {
		if (!$forum_post_rank_cache) { forum_rank_cache2(); }
		
		if ($level > 101 && is_array($forum_mod_rank_cache) && count($forum_mod_rank_cache)) {
			for ($i = 0; $i < count($forum_mod_rank_cache) && !$res; $i++) {
				if ($level == $forum_mod_rank_cache[$i]['rank_apply']) {
					$res = "<img src='".RANKS.$forum_mod_rank_cache[$i]['rank_image']."' alt='' style='border:0' /><br />";
				}
			}
		}
		if ($groups != "" && is_array($forum_special_rank_cache) && count($forum_special_rank_cache)) {
			for ($i = 0; $i < count($forum_special_rank_cache); $i++) {
				if (in_array($forum_special_rank_cache[$i]['rank_apply'], explode(".", $groups))) {
					$res .= "<img src='".RANKS.$forum_special_rank_cache[$i]['rank_image']."' alt='' style='border:0' /><br />";
				}
			}
		}
		if (!$res && is_array($forum_post_rank_cache) && count($forum_post_rank_cache)) {
			for ($i = 0; $i < count($forum_post_rank_cache); $i++) {
				if ($posts >= $forum_post_rank_cache[$i]['rank_posts']) {
					$res = "<img src='".RANKS.$forum_post_rank_cache[$i]['rank_image']."' alt='' style='border:0' /><br />";
				}
			}
			if (!$res) {
				$res .= "<img src='".RANKS.$forum_post_rank_cache[0]['rank_image']."' alt='' style='border:0' /><br />";
			}
		}
	}
	return $res;
}
?>