<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pointx.php
| Version: 2.0.4
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include_once INFUSIONS."pointx/pointx_core.php";

if (!isset($_GET['page']) || ($_GET['page'] != "main" && $_GET['page'] != "transfer")) { $_GET['page'] = "main"; }
add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."pointx/system/navi/chrometheme/chromestyle.css' />\n<script type='text/javascript' src='".INFUSIONS."pointx/system/navi/chromejs/chrome.js'></script>\n");

echo $PointX->GenStatus(isset($_GET['status']) ? $_GET['status'] : "");

if ($PointX->settings['page_transfer'] == 1) {
	$PointX->navi  = "<div class='chromestyle' id='chromemenu' style='margin:5px;'>\n<ul>\n";
	$PointX->navi .= "<li><a href='".FUSION_SELF."?page=main'>".$PointX->locale['pointx_page_00_002']."</a></li>\n";
	$PointX->navi .= "<li><a href='".FUSION_SELF."?page=transfer'>".$PointX->locale['pointx_page_00_003']."</a></li>\n";
	$PointX->navi .= "</ul>\n</div>\n";
}

if (isset($_GET['page']) && $_GET['page'] == "main") {
	opentable($PointX->locale['pointx_page_00_000'].$PointX->locale['pointx_page_00_001'].$PointX->locale['pointx_page_00_002']);
	echo $PointX->RenderNavi();
	echo "<table width='90%' cellspacing='1' cellpadding='0' class='tbl center'>\n";
	echo "<tr>\n";
	if ($PointX->settings['page_message'] != "") {
		echo "<td class='tbl' width='".($PointX->settings['page_list'] == 1 ? "75%" : "100%")."'>\n";
		echo nl2br(parseubb($PointX->settings['page_message']));
		echo "</td>\n";
	}
	if ($PointX->settings['page_list'] == 1) {
		echo "<td class='tbl' width='".($PointX->settings['page_message'] != "" ? "25%" : "100%")."'>\n";
		echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border center'>\n<tr>\n";
		echo "<td class='tbl2' colspan='2' style='font-size:12px;'><strong>".$PointX->locale['pointx_page_01_001']."</strong></td>\n";
		echo "</tr>\n";
		$result = dbquery("SELECT pointx_name, pointx_points FROM ".DB_POINTX." ORDER BY CAST(pointx_points AS UNSIGNED) DESC");
		if (dbrows($result) != 0) {
			while ($data = dbarray($result)) {
				echo "<tr>\n";
				echo "<td class='tbl'><strong>".$data['pointx_name']."</strong></td>\n";
				echo "<td align='center' width='1%' class='tbl' style='white-space:nowrap'><em>".$data['pointx_points']." ".$PointX->PolishWords($data['pointx_points'])."</em></td>\n";
				echo "</tr>\n";
			}
			echo "</table>\n";
		} else {
			echo "<tr><td align='center' class='tbl1'>".$locale['pointx_page_01_000']."</td></tr>\n</table>\n";
		}
		echo "</td>\n";
	}
	echo "</tr>\n";
	echo "</table>\n";
	closetable();
} elseif ($PointX->settings['page_transfer'] == 1 && (isset($_GET['page']) && $_GET['page'] == "transfer")) {
	if (isset($_POST['transfer'])) {
		$transfer_user_name = preg_replace(array("/\=/","/\#/","/\sOR\s/"), "", stripinput($_POST['transfer_user_name']));
		$transfer_comment = trim(stripinput($_POST['transfer_comment']));
		if ($PointX->settings['scoring_mm'] == 1) {
			$_POST['transfer_points'] = str_replace(",", ".", $_POST['transfer_points']);
			
			$transfer_points = isset($_POST['transfer_points']) && is_numeric($_POST['transfer_points']) ? $_POST['transfer_points'] : "none";
		} else {
			$transfer_points = isset($_POST['transfer_points']) && isnum($_POST['transfer_points']) ? $_POST['transfer_points'] : "none";
		}
		
		if ($transfer_points != "none") {
			$user_result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_name='".$transfer_user_name."'");
			if (dbrows($user_result) == 1) {
				$user_data = dbarray($user_result);
				
				if ($PointX->settings['page_transfer_negative'] == 0 && (($userdata['user_points'] - $transfer_points) >= 0)) {
					$PointX->AddPoints($user_data['user_id'], $transfer_points, TRUE, sprintf($PointX->locale['pointx_pxclass_02_006'], $userdata['user_name']));
					$PointX->TakePoints($userdata['user_id'], $transfer_points, TRUE, sprintf($PointX->locale['pointx_pxclass_02_005'], $user_data['user_name']));
					$PointX->TransferLog($userdata['user_id'], $user_data['user_id'], $transfer_points, $transfer_comment);
				} elseif ($PointX->settings['page_transfer_negative'] == 1 && (($userdata['user_points'] - $transfer_points) < $PointX->settings['min_points'])) {
					$PointX->AddPoints($user_data['user_id'], $transfer_points, TRUE, sprintf($PointX->locale['pointx_pxclass_02_006'], $userdata['user_name']));
					$PointX->TakePoints($userdata['user_id'], $transfer_points, TRUE, sprintf($PointX->locale['pointx_pxclass_02_005'], $user_data['user_name']));
					$PointX->TransferLog($userdata['user_id'], $user_data['user_id'], $transfer_points, $transfer_comment);
				} else {
					redirect(FUSION_SELF."?page=transfer&amp;status=points_transfer_error3");
				}
				
				redirect(FUSION_SELF."?page=transfer&amp;status=points_transferd");
			} else {
				redirect(FUSION_SELF."?page=transfer&amp;status=points_transfer_error2");
			}
		} else {
			redirect(FUSION_SELF."?page=transfer&amp;status=points_transfer_error1");
		}
	} else {
		opentable($PointX->locale['pointx_page_00_000'].$PointX->locale['pointx_page_00_001'].$PointX->locale['pointx_page_00_003']);
		echo $PointX->RenderNavi();
		echo "<form name='transferform' method='post' action='".FUSION_SELF."?page=transfer'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
		echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$PointX->locale['pointx_page_02_000']."</td>\n";
		echo "<td class='tbl'><input type='text' name='transfer_user_name' value='' class='textbox' style='width:200px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$PointX->locale['pointx_page_02_001']."</td>\n";
		echo "<td class='tbl'><input type='text' name='transfer_points' value='' class='textbox' maxlength='".strlen($PointX->settings['max_points'])." style='width:50px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$PointX->locale['pointx_page_02_003']."</td>\n";
		echo "<td class='tbl'><textarea name='transfer_comment' cols='70' rows='4' class='textbox' maxlength='255' style='width:180px'></textarea></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'>\n";
		echo "<input type='submit' name='transfer' value='".$PointX->locale['pointx_page_02_002']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		echo "<div style='margin:10px;'></div>\n";
		echo "<table width='640' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
		$result = dbquery("SELECT transfer_id, transfer_form, transfer_to, transfer_message, transfer_points, transfer_datestamp FROM ".DB_PX_TRANSFER." ORDER BY transfer_datestamp DESC");
		$result = dbquery(
			"SELECT t.transfer_id, t.transfer_form, t.transfer_to, t.transfer_message, t.transfer_points, t.transfer_datestamp, u.user_id, u.user_name, u.user_status
			FROM ".DB_PX_TRANSFER." t
			LEFT JOIN ".DB_USERS." u ON t.transfer_form = u.user_id
			WHERE t.transfer_to='".$userdata['user_id']."'
			ORDER BY t.transfer_datestamp DESC"
		);
		if (dbrows($result) != 0) {
			$i = 0;
			echo "<tr>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$PointX->locale['pointx_page_02_004']."</td>\n";
			echo "<td class='tbl2'>".$PointX->locale['pointx_page_02_005']."</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$PointX->locale['pointx_page_02_006']."</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$PointX->locale['pointx_page_02_008']."</td>\n";
			echo "</tr>\n";
			while ($data = dbarray($result)) {
				$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
				echo "<tr>\n";
				echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
				echo "<td class='".$cell_color."'>".(!empty($data['transfer_message']) ? $data['transfer_message'] : "<em>".$PointX->locale['pointx_page_02_009']."</em>")."</td>\n";
				echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>";
				if ($PointX->settings['scoring_mm'] == 1) {
					echo number_format($data['transfer_points'], 2, ".", "'");
				} elseif ($PointX->settings['scoring_mm'] == 0) {
					echo number_format($data['transfer_points'], 0, ".", "'");
				}
				echo "</td>\n";
				echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".showdate("longdate", $data['transfer_datestamp'])."</td>\n";
				echo "</tr>\n";
				$i++;
			}
			echo "</table>\n";
		} else {
			echo "<tr><td align='center' class='tbl1'>".$PointX->locale['pointx_page_02_007']."</td></tr>\n</table>\n";
		}
		closetable();
	}
} else {
	redirect(FUSION_SELF."?page=main");
}

require_once THEMES."templates/footer.php";
?>