<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: FunctionValues.class.php
| Version: 2.0.4
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
class FunctionValues {
	private $data = array();
	private $fvCount = 0;
	private $execute = FALSE;
	private $executeNum = 0;
	
	public function __construct ($UserId, $TableName, $TableFieldId, $TableFieldUser, $Catalyst = "") {
		$this->GetCount($UserId, $TableName, $TableFieldId, $TableFieldUser, $Catalyst);
		
		$result = dbquery("SELECT value_id, value_user, value_db, value_field_id, value_field_user, value_value FROM ".DB_FUNCTION_VALUES." WHERE value_user='".$UserId."' AND value_db='".$TableName."' AND value_field_id='".$TableFieldId."' AND value_field_user='".$TableFieldUser."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			
			$this->data = array("id" => $data['value_id'], "user" => $data['value_user'], "field_id" => $data['value_field_id'], "field_user" => $data['value_field_user'], "value" => $data['value_value']);
		} else {
			$result2 = dbquery("INSERT INTO ".DB_FUNCTION_VALUES." (value_user, value_db, value_field_id, value_field_user, value_value) VALUES ('".$UserId."', '".$TableName."', '".$TableFieldId."', '".$TableFieldUser."', '".$this->fvCount."')");
			$data = dbarray(dbquery("SELECT value_id, value_user, value_db, value_field_id, value_field_user, value_value FROM ".DB_FUNCTION_VALUES." WHERE value_user='".$UserId."' AND value_db='".$TableName."' AND value_field_id='".$TableFieldId."' AND value_field_user='".$TableFieldUser."'"));
			
			$this->data = array("id" => $data['value_id'], "user" => $data['value_user'], "db" => $data['value_db'], "field_id" => $data['value_field_id'], "field_user" => $data['value_field_user'], "value" => $data['value_value']);
		}
	}
	
	public function Execute ($action = "add") {
		if ($action == "add") {
			if (($this->fvCount - $this->executeNum) == $this->data['value']) {
				$newValue = $this->executeNum == 0 ? $this->fvCount + 1 : $this->fvCount;
				$result = dbquery("UPDATE ".DB_FUNCTION_VALUES." SET value_value='".$newValue."' WHERE value_id='".$this->data['id']."'");
				if ($result) { $this->execute = TRUE; } else { $this->execute = FALSE; }
			} else {
				include_once INCLUDES."infusions_include.php";
				
				$newValue = $this->executeNum == 0 ? $this->fvCount + 1 : $this->fvCount;
				$result = dbquery("UPDATE ".DB_FUNCTION_VALUES." SET value_value='".$newValue."' WHERE value_id='".$this->data['id']."'");
				
				$this->execute = FALSE;
			}
		} elseif ($action == "take") {
			if (($this->fvCount + $this->executeNum) == $this->data['value']) {
				$newValue = $this->executeNum == 0 ? $this->fvCount - 1 : $this->fvCount;
				$result = dbquery("UPDATE ".DB_FUNCTION_VALUES." SET value_value='".$newValue."' WHERE value_id='".$this->data['id']."'");
				if ($result) { $this->execute = TRUE; } else { $this->execute = FALSE; }
			} else {
				include_once INCLUDES."infusions_include.php";
				
				$newValue = $this->executeNum == 0 ? $this->fvCount + 1 : $this->fvCount;
				$result = dbquery("UPDATE ".DB_FUNCTION_VALUES." SET value_value='".$newValue."' WHERE value_id='".$this->data['id']."'");
				
				$this->execute = FALSE;
			}
		}
	}
	
	public function SetExecute ($number) {
		$this->executeNum = $number;
	}
	
	public function GetStatus () {
		return $this->execute == TRUE ? TRUE : FALSE;
	}
	
	public function GetCurrentValue () {
		return $this->data['value'];
	}
	
	public function GetCurrentUser () {
		return $this->data['user'];
	}
	
	public function CustomValues ($value, $check = "") {
		if ($check == "") {
			$this->custom_values = $value;
		} elseif ($check == "input") {
			$this->custom_values = trim(stripinput($value));
		} elseif ($check == "isnum") {
			$this->custom_values = isnum($value);
		} elseif ($check == "numeric") {
			$this->custom_values = is_numeric($value);
		}
		
		return !empty($value) ? TRUE : FALSE;
	}
	
	private function GetCount ($UserId, $TableName, $TableFieldId, $TableFieldUser, $Catalyst = "") {
		$this->fvCount = dbcount("(".$TableFieldId.")", $TableName, $Catalyst.$TableFieldUser."='".$UserId."'");
	}
	
	public static function TotalReset () {
		return dbquery("TRUNCATE TABLE ".DB_FUNCTION_VALUES);
	}
}
?>