<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pointx_panel.php
| Version: 2.0.3
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include_once INFUSIONS."pointx/pointx_core.php";

openside($PointX->locale['pointx_panel_00_000']);
echo "<table width='100%' cellspacing='1' cellpadding='0' class='center'>\n<tr>\n";
$result = dbquery("SELECT user_id, user_name, user_avatar, user_status, user_points FROM ".DB_USERS.($PointX->settings['admins_in_panel'] == 0 ? " WHERE user_level='101'" : "")." ORDER BY CAST(user_points AS DECIMAL(50,2)) DESC LIMIT 10");
$i = 1;
if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		if ($i == 1) {
			echo "<td align='center' colspan='2'>\n";
			echo "<strong>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</strong><br />\n";
			
			if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) {
				echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."' width='50' height='50' /><br /><br />\n";
			} else {
				echo "<img src='".IMAGES."avatars/noavatar100.png' alt='".$data['user_name']."' width='50' height='50' /><br /><br />\n";
			}
			
			echo "<strong>".$PointX->locale['pointx_panel_00_001']."</strong>".($PointX->settings['scoring_mm'] == 1 ? number_format($data['user_points'], 2, ".", "'") : $data['user_points']);
			echo "</td>\n";
			echo "</tr>\n<tr>\n";
		} else {
			echo "<td align='left'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
			echo "<td align='right'>".($PointX->settings['scoring_mm'] == 1 ? number_format($data['user_points'], 2, ".", "'") : $data['user_points'])."&nbsp;".$PointX->PolishWords($data['user_points'])."</td>\n";
			echo "</tr>\n<tr>\n";
		}
		
		$i++;
	}
}
echo "</tr>\n</table>\n";
closeside();

unset($result, $data, $i);
?>